import {Injectable} from '@angular/core';
import {Subject} from 'rxjs';

@Injectable()
export class ViewModus {
  actuallView = 'desktopView';
  view = new Subject<string>();
  $view = this.view.asObservable();

  setNewView(view: string): void {
    this.view.next(view);
    this.actuallView = view;
  }
}
